Retrieve a specific source Run in API Explorer
Ask AI
Get details of a specific source by its ID.
GET
/sources/{id}
curl \
--request GET 'https://pronouns.page/api/public/v3/sources/{id}' \
--header "Accept: application/json"
Response examples (200)
{
"id": "01ERQRCV0TW0E5SEGTKJ7KKE18",
"locale": "en",
"pronouns": "ze",
"type": "Book",
"author": "K. A. ^Cook",
"title": "The Differently Animated and Queer Society",
"extra": "A short story from a collection called “Crooked Words” by K. A. Cook",
"year": 2013,
"fragments": "Pat couldn’t help a slight frown as ze got out of hir car. It wasn’t likely that someone was going to try and mug a zombie, but even so, the neighbourhood didn’t seem all that prosperous. There weren’t even too many cars around, just one down the other end of the street and a rusty bike chained to a light post.|Maybe ze shouldn’t have waited until ze’d be the last to arrive. What if everyone had come, decided that nobody was coming, and gone home already? What if ze was the only one to come at all? This will be fine, Pat told hirself, in what felt like a ridiculous attempt to bolster hir courage. If ze had summoned up the courage for hir last job interview—and Pat thought ze would have gotten it despite being undead if ze felt remotely inclined to try and pass, something that annoyed hir job seeker support officer no end—then ze could summon up the courage to do this. This should be easier than a job interview!\n",
"comment": null,
"link": null,
"submitter_id": "01EP5KZNBCCAD2024012HFMCR3",
"approved": 1,
"deleted": 0,
"base_id": null,
"key": null,
"images": null,
"spoiler": 0,
"submitter": "szymon",
"versions": [
null
]
}
Response examples (default)
Bad Request (400)
The request contains invalid content
{
"error": true,
"statusCode": 400,
"statusMessage": "Bad Request",
"message": "XYZ contains an invalid value",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The user requesting this data is not authorised to access the requested section
{
"error": true,
"statusCode": 401,
"statusMessage": "Unauthorised",
"message": "You are not authorised to access this content",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested item could not be resolved/located
{
"error": true,
"statusCode": 404,
"statusMessage": "Not Found",
"message": "Requested Item Not Found",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
The requested API version has either been completely removed or marked as depreciated
{
"error": true,
"statusCode": 410,
"statusMessage": "Gone",
"message": "v1 has been marked as depreciated; please use v2 or v3",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}
Unknown Server Error
{
"error": true,
"statusCode": 500,
"statusMessage": "Server Error",
"message": "An unknown server error has occured, please try again later",
"url": "https://en.pronouns.page/api/v1/nouns/search/01JBXS13H8311MFPJYEXCPFZZJ"
}